/* __V3D_TEMPLATE__ - template-based file; delete this line to prevent this file from being updated */

body {
    margin: 0px;
    overflow: hidden;
    /*background: #677082;*/
}

.v3d-container {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    cursor: grab;
}

.fullscreen-button {
    position: absolute;
    top: 5px;
    right: 5px;
    width: 50px;
    height: 50px;
    cursor: pointer;
    background-size: 100% 100%;
    display: none;
    z-index: 1;
}

.fullscreen-open {
    background-image: url('../media/fullscreen_open.svg');
}

.fullscreen-close {
    background-image: url('../media/fullscreen_close.svg');
}


.v3d-simple-preloader-background {
    background-image: url();
    background: white;
}
.v3d-simple-preloader-container {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: 0px; 
    margin-left: 0px; 
    width: 180px;
    height: 180px;
    transform: translate(-50%,-50%);
}
.v3d-simple-preloader-logo {
    background-image: url(../media/android-chrome-192x192.png);
    background-size: cover;
    /*margin-top: 0px;*/
    width:  32%;
    height: 32%;
    animation: rotate 3s 0s ease infinite;
}
.v3d-simple-preloader-bar {
    background: linear-gradient(90deg, #666666, #222222);
    /*margin-top: 0px;*/
    height: 3px;
    border:none;
}
.v3d-webgl-error {
    color: #555555;
    background-color: #f3f3f3;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    margin-top: 0;
    margin-left: 0;
    text-align: center;
    border-style: solid;
    border-width: 0;
    border-radius: 0;
    border-color: transparent;
    font-size: 16px;
    font-family: sans-serif;
    padding: 10px 60px;
    line-height: 30px;
    z-index: 10;
    box-shadow: 0 0 15px #888888;
}

.v3d-webgl-error-link {
    color: #333333;
    font-style:italic
}
/* removes tap blinking on ios devices */
* { -webkit-tap-highlight-color:rgba(0,0,0,0); }

@media only screen and (max-width: 540px) {
    .v3d-webgl-error {
        top: 50%;
        left: 50%;
        right: 0;
        margin-top: 0;
        margin-left: 0;
        padding: 10px;
        width: 85%;
    }
}

@keyframes rotate { 
    0%      {transform:rotate(0deg);} 
    50%     {transform:rotate(180deg);} 
    100%    {transform:rotate(360deg);} 
}